**DO FILE FOR COMMANDS FOR ROBUSTNESS CHECKS MENTIONED IN FOOTNOTE 26 AND WHICH RESTRICT SAMPLE BASED ON LEVEL OF CENTRAL BANK INDEPENDENCE OR CAPITAL MOBILITY.

**Table One for sample of countries with flexible exchange rate and low CPI

*Growth as dependent variable

xtpcse grgdpimfq L.grgdpimfq L2.grgdpimfq L3.grgdpimfq L4.grgdpimfq L.grgdp7oe L.drptf6only L.drptlead6only L.drptsame6 L.drptdiff6 L.drptSPG6 dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Unemmployment as dependent variable

xtpcse udiff L.udiff L2.udiff L3.udiff L4.udiff L.udiff7oe L.drptf6only L.drptlead6only L.drptsame6 L.drptdiff6 L.drptSPG6 dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


**Table One for sample of countries with flexible exchange rate and low capital mobility

*Growth as dependent variable

xtpcse grgdpimfq L.grgdpimfq L2.grgdpimfq L3.grgdpimfq L4.grgdpimfq L.grgdp7oe L.drptf6only L.drptlead6only L.drptsame6 L.drptdiff6 L.drptSPG6 dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Unemmployment as dependent variable

xtpcse udiff L.udiff L2.udiff L3.udiff L4.udiff L.udiff7oe L.drptf6only L.drptlead6only L.drptsame6 L.drptdiff6 L.drptSPG6 dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


**Table Two for sample of countries with flexible exchange rate and low CPI

**Growth as dependent variable

**Version with change in MoF1 prefs for same and diff

xtpcse grgdpimfq L.grgdpimfq L2.grgdpimfq L3.grgdpimfq L4.grgdpimfq L.grgdp7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idmof L.drptdiff6_idmof L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & cbihigh==0, pairwise
test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Version with change in lead prefs for same and diff

xtpcse grgdpimfq L.grgdpimfq L2.grgdpimfq L3.grgdpimfq L4.grgdpimfq L.grgdp7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idlead L.drptdiff6_idlead  L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & cbihigh==0, pairwise
test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Unemmployment as dependent variable

**Version with change in MoF1 prefs for same and diff

xtpcse udiff L.udiff L2.udiff L3.udiff L4.udiff L.udiff7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idmof L. drptdiff6_idmof L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Version with change in lead prefs for same and diff

xtpcse udiff L.udiff L2.udiff L3.udiff L4.udiff L.udiff7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idlead L. drptdiff6_idlead  L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Table Two for sample of countries with flexible exchange rate and low capital mobility

**Growth as dependent variable

**Version with change in MoF1 prefs for same and diff

xtpcse grgdpimfq L.grgdpimfq L2.grgdpimfq L3.grgdpimfq L4.grgdpimfq L.grgdp7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idmof L.drptdiff6_idmof L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Version with change in lead prefs for same and diff

xtpcse grgdpimfq L.grgdpimfq L2.grgdpimfq L3.grgdpimfq L4.grgdpimfq L.grgdp7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idlead L.drptdiff6_idlead  L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & low_cap_mob==1, pairwise
test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Unemmployment as dependent variable

**Version with change in MoF1 prefs for same and diff

xtpcse udiff L.udiff L2.udiff L3.udiff L4.udiff L.udiff7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idmof L. drptdiff6_idmof L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Version with change in lead prefs for same and diff

xtpcse udiff L.udiff L2.udiff L3.udiff L4.udiff L.udiff7oe L.drptf6only_id L.drptlead6only_id L.drptsame6_idlead L. drptdiff6_idlead  L.drptSPG6id dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**Table Three for sample of countries with flexible exchange rate and low CBI

**INFLATION
**disaggregated F and L

xtpcse inflimf L.inflimf L2.inflimf L3.inflimf L4.inflimf L5.inflimf L6.inflimf L7.inflimf L8.inflimf L.radm_same_fl L.radm_diff_fl L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


**disaggregated F and P

xtpcse inflimf L.inflimf L2.inflimf L3.inflimf L4.inflimf L5.inflimf L6.inflimf L7.inflimf L8.inflimf L.radm_same_fp L.radm_diff_fp L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83

**SHORT-TERM REAL INTEREST RATES

*disaggregated

*F and L

xtpcse short_int_real L.short_int_real L2.short_int_real L3.short_int_real L4.short_int_real L.radm_same_fl L.radm_diff_fl L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


*F and P

xtpcse short_int_real L.short_int_real L2.short_int_real L3.short_int_real L4.short_int_real L.radm_same_fp L.radm_diff_fp L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**LONG-TERM REAL INTEREST RATES

*disaggregated

*F and L

xtpcse long_int_real L.long_int_real L2.long_int_real L3.long_int_real L4.long_int_real L.radm_same_fl L.radm_diff_fl L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


*F and P

xtpcse long_int_real L.long_int_real L2.long_int_real L3.long_int_real L4.long_int_real L.radm_same_fp L.radm_diff_fp L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & cbihigh==0, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83

**Table Three for sample of countries with flexible exchange rate and low capital mobility

**INFLATION
**disaggregated F and L

xtpcse inflimf L.inflimf L2.inflimf L3.inflimf L4.inflimf L5.inflimf L6.inflimf L7.inflimf L8.inflimf L.radm_same_fl L.radm_diff_fl L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


**disaggregated F and P

xtpcse inflimf L.inflimf L2.inflimf L3.inflimf L4.inflimf L5.inflimf L6.inflimf L7.inflimf L8.inflimf L.radm_same_fp L.radm_diff_fp L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83

**SHORT-TERM REAL INTEREST RATES

*disaggregated

*F and L

xtpcse short_int_real L.short_int_real L2.short_int_real L3.short_int_real L4.short_int_real L.radm_same_fl L.radm_diff_fl L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


*F and P

xtpcse short_int_real L.short_int_real L2.short_int_real L3.short_int_real L4.short_int_real L.radm_same_fp L.radm_diff_fp L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 

**LONG-TERM REAL INTEREST RATES

*disaggregated

*F and L

xtpcse long_int_real L.long_int_real L2.long_int_real L3.long_int_real L4.long_int_real L.radm_same_fl L.radm_diff_fl L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 


*F and P

xtpcse long_int_real L.long_int_real L2.long_int_real L3.long_int_real L4.long_int_real L.radm_same_fp L.radm_diff_fp L.infl7oe dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83 if year>1972 & year<1984 & ccode~=16 & fixedrr==0 & coal==1 & low_cap_mob==1, pairwise

test dumaus dumaut dumbel dumcan dumden dumfin dumfr dumger dumire dumit dumjap dumneth dumnz dumnor dumswe 
test dum73 dum74 dum75 dum76 dum77 dum78 dum79 dum80 dum81 dum82 dum83
